"""
@author: luojunhui
"""
import pyapollos


class Config(object):
    """
    apolloConfig
    """

    def __init__(self, env="pre"):
        """
        :param env:
        """
        match env:
            case "prod":
                self.apollo_connection = pyapollos.ApolloClient(
                    app_id="LongArticlesMatchServer",
                    config_server_url="https://apolloconfig-internal.piaoquantv.com/",
                    timeout=10
                )
            case "dev":
                self.apollo_connection = pyapollos.ApolloClient(
                    app_id="LongArticlesMatchServer",
                    config_server_url="https://devapolloconfig-internal.piaoquantv.com/",
                    timeout=10
                )
            case "pre":
                self.apollo_connection = pyapollos.ApolloClient(
                    app_id="LongArticlesMatchServer",
                    config_server_url="http://preapolloconfig-internal.piaoquantv.com/",
                    timeout=10
                )

    def get_config_value(self, key):
        """
        通过 key 获取配置的 Config
        :param key:
        :return:
        """
        response = self.apollo_connection.get_value(key)
        return response